org.richfaces.renderkit.html

## Class MenuItemRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.ajax4jsf.renderkit.AjaxComponentRendererBase
        - - org.ajax4jsf.renderkit.AjaxChildrenRenderer
          - - org.richfaces.renderkit.CompositeRenderer
            - - org.richfaces.renderkit.html.MenuItemRendererBase

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.AjaxRenderer, org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser
  Direct Known Subclasses:
    MenuItemRenderer

      public class MenuItemRendererBase
      extends org.richfaces.renderkit.CompositeRenderer

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.renderkit.AjaxChildrenRenderer

      `log, SPECIAL_COMPONENTS_TYPES`

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuItemRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `collectInlineStyles(javax.faces.context.FacesContext context, UIMenuItem menuItem, boolean isOnmouseover)`
    `void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `java.util.List` | `encodeParams(javax.faces.context.FacesContext context, UIMenuItem component)`
    `java.lang.String` | `encodeParamsAsObject(javax.faces.context.FacesContext context, UIMenuItem component)`
    `protected java.lang.Class` | `getComponentClass()`
    `protected javax.faces.component.UIComponent` | `getIconFacet(UIMenuItem menuItem)`
    `protected javax.faces.component.UIComponent` | `getParentMenu(javax.faces.context.FacesContext context, UIMenuItem menuItem)`
    `boolean` | `getRendersChildren()`
    `protected java.lang.String` | `getStringAttributeOrEmptyString(javax.faces.component.UIComponent component, java.lang.String attributeName)`
    `void` | `initializeResources(javax.faces.context.FacesContext context, UIMenuItem menuItem)`
    `void` | `initializeStyles(javax.faces.context.FacesContext context, UIMenuItem menuItem)`
    `protected java.lang.String` | `processInlineStyles(javax.faces.context.FacesContext context, UIMenuItem menuItem, boolean isOnmouseover)` Deprecated.
    `protected java.lang.String` | `resolveSubmitMode(UIMenuItem menuItem)`

    - ### Methods inherited from class org.richfaces.renderkit.CompositeRenderer

      `addContributor, addParameterEncoder, encodeAttributeParameters, escapeHtmlEntities, getContributors, getParameterEncoders, getScriptContributions, getScriptContributions, getScripts, getScripts, getStyles, getStyles, mergeScriptOptions, mergeScriptOptions`

    - ### Methods inherited from class org.ajax4jsf.renderkit.AjaxChildrenRenderer

      `encodeAjaxChildren, encodeAjaxComponent`

    - ### Methods inherited from class org.ajax4jsf.renderkit.AjaxComponentRendererBase

      `getAdditionalScripts`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.renderkit.HeaderResourceProducer2

      `encodeToHead`

- - ### Constructor Detail

    - #### MenuItemRendererBase

          public MenuItemRendererBase()

  - ### Method Detail

    - #### getComponentClass

          protected java.lang.Class getComponentClass()

      Specified by:
        `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

    - #### doDecode

          public void doDecode(javax.faces.context.FacesContext context,
                      javax.faces.component.UIComponent component)

      Overrides:
        `doDecode` in class `org.richfaces.renderkit.CompositeRenderer`

    - #### encodeParams

          public java.util.List encodeParams(javax.faces.context.FacesContext context,
                                    UIMenuItem component)
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeParamsAsObject

          public java.lang.String encodeParamsAsObject(javax.faces.context.FacesContext context,
                                              UIMenuItem component)
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### initializeResources

          public void initializeResources(javax.faces.context.FacesContext context,
                                 UIMenuItem menuItem)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getStringAttributeOrEmptyString

          protected java.lang.String getStringAttributeOrEmptyString(javax.faces.component.UIComponent component,
                                                         java.lang.String attributeName)

    - #### getIconFacet

          protected javax.faces.component.UIComponent getIconFacet(UIMenuItem menuItem)

    - #### resolveSubmitMode

          protected java.lang.String resolveSubmitMode(UIMenuItem menuItem)

    - #### collectInlineStyles

          protected java.lang.String collectInlineStyles(javax.faces.context.FacesContext context,
                                             UIMenuItem menuItem,
                                             boolean isOnmouseover)

    - #### processInlineStyles

          @Deprecated
          protected java.lang.String processInlineStyles(javax.faces.context.FacesContext context,
                                                        UIMenuItem menuItem,
                                                        boolean isOnmouseover)

      Deprecated.

    - #### getParentMenu

          protected javax.faces.component.UIComponent getParentMenu(javax.faces.context.FacesContext context,
                                                        UIMenuItem menuItem)

    - #### initializeStyles

          public void initializeStyles(javax.faces.context.FacesContext context,
                              UIMenuItem menuItem)

Copyright © 2014. All Rights Reserved.